<div class="float-left nj-card__body p-0 container" style="margin:0px;border-radius: 10px 10px 0 0;">
    <div *ngIf="ana" class="brl w-100 " [ngStyle]="{'padding': '2px', 'background-color': ana['squadre']['colore']}">
    </div>    
    <div *ngIf="ana" class="brl w-100 p-0 marker container_title">
        <div class="brl title fs14">
            {{ ana['wbs'] }} -
        </div>
        <div class="brl ml-1 title fs14">
            {{ ana['nome'] }}
        </div>
    </div>
        

    <div class="brl w-100" style="padding:0px 0px;margin:0px 0 0 0;">

        <div class="brl w-100" style="padding:0px 5px;margin:0 0 2px 0;">     
            <ng-container *ngFor="let field of fields ; let i = index;">
                <div *ngIf="field[0] != 'nome' && field[0] != 'wbs'" class="brl w-100 line p-0" >
                    <div *ngIf="field[0] != 'indirizzoA'"  class="brl label fs12">
                        {{ field[1] }}
                    </div>
                    <div class="brl ml-1 text fs12">
                        {{ ana[field[0]] }}
                    </div>
                </div>
            </ng-container>
        </div>


        <div *ngIf="ana.temps" class="brl w-100" style="padding:5px;margin:0 0 0px 0;">
            <!-- IMPIANTO TEMPS -->
            <div *ngIf="ana.temps.value !== '0'" class="brl w-100 p-0">
                <div class="brl w-100 label fs12 line bg-green text-white">Temperature</div>
                
                <ng-container *ngFor="let temp of ana.temps.value | keyvalue">
                    <div class="brl w-100 line">
                        <div class="brl label fs11">{{ temp.key }}</div>
                        <div class="brl ml-1 value fs11">{{ temp.value.value }}</div>
                    </div>
                </ng-container>
            </div>
        </div>

        <div *ngIf="ana.metrics" class="brl w-100" style="padding:5px;margin:0 0 3px 0;">
            <!-- RAPPORT ESTATE -->
            <div *ngIf="ana.metrics.rapporto_est.length > 0" class="brl w-100 p-0">
                <div class="brl w-100 label fs12 line bg-yellow text-white">Rapporto Estate</div>
                <div class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_est[0]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_est[0]['valore'] }} </div>
                </div>
                <div *ngIf="ana.metrics.rapporto_est[1]" class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_est[1]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_est[1]['valore'] }} </div>
                </div>
            </div>

            <!-- RAPPORT INVERNO -->
            <div *ngIf="ana.metrics.rapporto_inv.length > 0" class="brl w-100 p-0" >
                <div class="brl w-100 label fs12 line bg-blue-rhino text-white">Rapporto Inverno</div>
                <div class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_inv[0]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_inv[0]['valore'] }} </div>
                </div>
                <div *ngIf="ana.metrics.rapporto_inv[1]" class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_inv[1]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_inv[1]['valore'] }} </div>
                </div>
            </div>

            <!-- RAPPORT REND -->
            <div *ngIf="ana.metrics.rapporto_rend.length > 0" class="brl w-100 p-0" >
                <div class="brl w-100 label fs12 line bg-cerise text-white">Rapporto Rend</div>
                <div class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_rend[0]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_rend[0]['valore'] }} </div>
                </div>
                <div *ngIf="ana.metrics.rapporto_rend[1]" class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_rend[1]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_rend[1]['valore'] }} </div>
                </div>
            </div>

            <!-- RAPPORT PERC -->
            <div *ngIf="ana.metrics.rapporto_perc.length > 0" class="brl w-100 p-0" >
                <div class="brl w-100 label fs12 line bg-cerise text-white">Rapporto Perc</div>
                <div class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_perc[0]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_perc[0]['valore'] }} </div>
                </div>
                <div *ngIf="ana.metrics.rapporto_perc[1]" class="brl w-100 line">
                    <div class="brl label fs11"> {{ ana.metrics.rapporto_perc[1]['data_rilievo'] }} </div>
                    <div class="brl ml-1 value fs11"> {{ ana.metrics.rapporto_perc[1]['valore'] }} </div>
                </div>
            </div>

        </div>

    </div>
</div>
